propellor-5.18: property-based host configuration management in haskell

Safe Haskell | None
Language | Haskell2010

Propellor.Property.XFCE

Synopsis

- installed :: Property DebianLike
- installedMin :: Property DebianLike
- networkManager :: Property DebianLike
- defaultPanelFor :: User -> Overwrite -> Property DebianLike

# Documentation

installed :: Property DebianLike Source #

installedMin :: Property DebianLike Source #

Minimal install of XFCE, with a terminal emulator and panel, and X and network-manager, but not any of the extra apps.

networkManager :: Property DebianLike Source #

Installs network-manager-gnome, which is the way to get network-manager to manage networking in XFCE too.

defaultPanelFor :: User -> Overwrite -> Property DebianLike Source #

Normally at first login, XFCE asks what kind of panel the user wants. This enables the default configuration noninteractively.